For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • Overview
        • API Reference
              • GETList Companies
              • POSTCreate Company
              • GETGet Company Detail
              • PUTUpdate Company
              • DELDelete Company
              • POSTConvert from BigCommerce CustomerGroup into Company
              • POSTBulk Create Companies
              • PUTUpdate Companies (batch)
              • PUTUpdate Company's Catalog
              • PUTUpdate Company's Status
              • GETList Company Extra Field Configs
              • GETList Company Attachments
              • POSTAdd Company Attachment
              • DELDelete Company Attachment
              • GETList Company Subsidiaries
              • DELDelete Company Subsidiary
              • POSTAttach Company as Parent to Current Company
              • GETList Company Hierarchy
Dev Portal
LogoLogo
Closed Beta ProgramsB2B Edition UpdatesAPI ReferenceCompany

Delete Company Subsidiary

Beta
DELETE
https://api-b2b.bigcommerce.com/api/v3/io/companies/:companyId/subsidiaries/:childCompanyId
DELETE
/api/v3/io/companies/:companyId/subsidiaries/:childCompanyId
$curl -X DELETE https://api-b2b.bigcommerce.com/api/v3/io/companies/1/subsidiaries/1 \
> -H "authToken: <apiKey>"
Delete company subsidiary.
Was this page helpful?
Previous

List Company Subsidiaries

Next

Attach Company as Parent to Current Company

Built with

Authentication

authTokenstring

Required to authenticate requests. Include the token in a header parameter called authToken.

Path parameters

companyIdintegerRequired
ID of company.
childCompanyIdintegerRequired
ID of child company.

Response

Success

Errors

400
Bad Request Error